
Redmine - Feature #12932

Control status of linked issues as if a group is a unique issue

2013-01-21 17:45 - T Mac

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Sometimes we have a number of tickets that ask for a specific feature, but all this tickets are actually a group of tickets that represent

a more general request. It would be nice if we could relate or link this issues to a "main" issue and when this "main" issue is fixed all

the connected issues will be fixed automatically.

History

#1 - 2013-01-21 18:40 - Daniel Felix

- Priority changed from High to Normal

Just sounds like subtasking? You can assign those issues to a parent issue? Or just add relations.

#2 - 2013-01-21 18:58 - T Mac

Not the same thing. Parent issue is not a "general representation" of the other tickets.

Simple example. Two tickets say, "enable color changing of button A" and the other says change the "enable color changing of button B". Now

imagine that all buttons use the same code. So I can just create a more general ticket "enable color changing of buttons" make this a "master ticket"

of the others, then work on this ticket and when it is done I can assign hours to it and automatically close all "related" tickets.

Get the idea? With parent issue I cannot assign hours to the parent issue, nor it closes the sub tickets.

#3 - 2013-01-22 08:32 - Etienne Massip

You should use the "Duplicates/Duplicated by" relationship, all "duplicates" are automatically closed at the time the "duplicated by" is closed.
